#!/bin/sh

IP=$1
COMMUNITY=$2
SNMP_VERSION=$3


# RAM total size
#RAM_SIZE=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP hrMemorySize.0 | awk '{ print $(NF-1) }'`
RAM_SIZE=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.2 | awk '{ print $(NF) }'`
RAM_SIZE=`expr $RAM_SIZE`

# RAM used
#NB_ELEMENTS=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP hrStorageIndex | awk '{ print $NF }' | tail -n 1`
NB_ELEMENTS=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.1 | awk '{ print $NF }' | tail -n 1`
RAM_USED=0

for i in `seq 1 $NB_ELEMENTS`; do
        #TYPE_ELEMENT=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP hrStorageDescr.$i | awk '{ print $NF }'`
        TYPE_ELEMENT=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.3.$i | awk '{ print $(NF-1) }'`
        if [ "$TYPE_ELEMENT" != "\"RAM" ]; then
                continue
        fi

#        BLOCK_SIZE=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP hrStorageAllocationUnits.$i | awk '{ print $(NF-1) }'`
        BLOCK_SIZE=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.4.$i | awk '{ print $(NF) }'`
       # NB_BLOCKS_USED=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP hrStorageUsed.$i | awk '{ print $NF }'`
        NB_BLOCKS_USED=`snmpwalk -v $SNMP_VERSION -c $COMMUNITY $IP .1.3.6.1.2.1.25.2.3.1.6.$i | awk '{ print $NF }'`
        RAM_USED=`expr $NB_BLOCKS_USED \* $BLOCK_SIZE`
        TOTAL_RAM_USED=`expr $TOTAL_RAM_USED + $RAM_USED`
done

TOTAL_RAM_USED=`expr $TOTAL_RAM_USED / 1024`
RAM_FREE=`expr $RAM_SIZE - $TOTAL_RAM_USED`

echo "valeur1:$RAM_FREE valeur2:$RAM_SIZE"
